org.apache.fop.render.ps

## Class PSRendererConfig

- java.lang.Object
- - org.apache.fop.render.ps.PSRendererConfig

- All Implemented Interfaces:
    RendererConfig

      public final class PSRendererConfig
      extends java.lang.Object
      implements RendererConfig

  The PostScript renderer configuration data object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PSRendererConfig.PSRendererConfigParser` The PostScript renderer configuration data parser.

    - ### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

      `RendererConfig.RendererConfigParser`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultFontConfig` | `getFontInfoConfig()` Returns the render-specific font configuration information.
    `java.lang.Integer` | `getLanguageLevel()`
    `org.apache.fop.render.ps.PSRenderingMode` | `getRenderingMode()`
    `java.lang.Boolean` | `isAcrobatDownsample()`
    `java.lang.Boolean` | `isAutoRotateLandscape()`
    `java.lang.Boolean` | `isDscComplianceEnabled()`
    `java.lang.Boolean` | `isOptimizeResources()`
    `java.lang.Boolean` | `isSafeSetPageDevice()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFontInfoConfig

          public DefaultFontConfig getFontInfoConfig()

      Description copied from interface: `RendererConfig`
      Returns the render-specific font configuration information.
      Specified by:
        `getFontInfoConfig` in interface `RendererConfig`
      Returns:
        the font config

    - #### isAutoRotateLandscape

          public java.lang.Boolean isAutoRotateLandscape()

    - #### getLanguageLevel

          public java.lang.Integer getLanguageLevel()

    - #### isOptimizeResources

          public java.lang.Boolean isOptimizeResources()

    - #### isSafeSetPageDevice

          public java.lang.Boolean isSafeSetPageDevice()

    - #### isDscComplianceEnabled

          public java.lang.Boolean isDscComplianceEnabled()

    - #### getRenderingMode

          public org.apache.fop.render.ps.PSRenderingMode getRenderingMode()

    - #### isAcrobatDownsample

          public java.lang.Boolean isAcrobatDownsample()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.